This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 253176 - Etoys module
Etoys module
Status: CLOSED NEXTRELEASE
Product: Fedora Localization
Classification: Fedora
Component: l10n-requests (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Diego Búrigo Zacarão
A S Alam
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-17 06:11 EDT by Marco Pesenti Gritti
Modified: 2013-07-02 20:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 13:56:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marco Pesenti Gritti 2007-08-17 06:11:32 EDT
Release set is OLPC.

* Module: etoys

* Maintainer: Takashi Yamamiya tak@metatoys.org

* Maintainer URL: http://wiki.laptop.org/go/User:Takashi

* URL to your repository: http://dev.laptop.org/git.do?p=projects/etoys

gettext files are included in po/ directory.
Comment 1 Diego Búrigo Zacarão 2007-09-05 12:26:20 EDT
Done!

Thank you, Marco.
Comment 2 Takashi Yamamiya 2007-09-10 13:37:48 EDT
Thank you, Diego.

However, all of the gettext files on po/ directory
(http://dev.laptop.org/git?p=projects/etoys;a=tree;f=po) are
translations for etoys, not po/Etoys/ only. Could you track all files?
Comment 3 Diego Búrigo Zacarão 2007-09-11 10:19:11 EDT
I'm sorry, I'm working to fix that.

I have put all modules(there is a lot :) ) in my local instance of
translate.fp.o and I got a problem with four modules in special:

Morphic :: Text Support
Morphic :: Postscript Canvases
Morphic :: Scripting Support
Morphic :: Scripting Tiles

Those modules have a space in their POT/directory names and it causes a problem
in our statistics system.

I have filed a bug report for upstream (Damned Lies - GNOME):
http://bugzilla.gnome.org/show_bug.cgi?id=475599

We have two alternatives:
1. Wait for a upstream solution (It should be a bug, I believe)
2. Change the modules names in OLPC infra into etoys project. (I'm not sure if
it's possible)

Takashi, do you think that I can enable the modules without those four modules
anyway for a while?

Thanks
Comment 4 Takashi Yamamiya 2007-09-11 13:53:04 EDT
Although we could change the module names, but it takes a while anyway.
Yes, even some translations are not included, I think it is valuable to enable
the rest of them for a while.

Comment 5 Diego Búrigo Zacarão 2007-09-11 14:35:30 EDT
OK, I have enable the rest of modules and it should be LIVE in some hours from now.

Thanks
Comment 6 Takashi Yamamiya 2007-09-16 23:05:13 EDT
Thank you, Diego,

We changed the file name including white space to underline like
po/Morphic/Text_Support/Morphic-Text_Support.pot

But, for other reason, I changed the repository to a svn server
http://etoys.laptop.org/svn/trunk/etoys/po/

Could you change the repository?
If it is difficult, I can copy the svn directory to original git place.

Cheers,
- Takashi
Comment 7 Diego Búrigo Zacarão 2007-09-17 13:56:12 EDT
Ok, done!

All submodules into Etoys now are available from svn repo.

Thank you, Takashi.

Best Regards.
Diego
Comment 8 Takashi Yamamiya 2007-09-18 12:11:59 EDT
Thank you Diego,
I checked it. It's working!

Note You need to log in before you can comment on or make changes to this bug.